C $Id: ic_rtn_to_gci.f,v 1.2 1998/07/24 21:54:39 asc Exp $
	subroutine IC_RTN_TO_GCI (ORB_POS_TIME,spacecraft_pos, 
     1                            TRANSFORM_MATRIX,DERIV_MATRIX,
     2                            VELOCITY_REQ,
     3                            STATUS)
C
	implicit none
C
C*  Calling parameters
C
	integer*4   ORB_POS_TIME(2) !time or orb vector, YYYYDDD, milli of day
	real*8	    TRANSFORM_MATRIX(3,3) !transformation matrix
	real*8      DERIV_MATRIX(3,3) !time derivative of transformation matrix
	integer*4   VELOCITY_REQ !flag to compute derivative matrix
	integer*4   STATUS  !Status of getting the transformation matrix
C
C*  Other variables
C
        integer*4   I,J
        real*8      spacecraft_pos(3),CMATRIX(3,3)
C
       call  IC_GCI_TO_RTN (ORB_POS_TIME,spacecraft_pos, 
     1                      TRANSFORM_MATRIX,DERIV_MATRIX,
     2                      VELOCITY_REQ,STATUS)
C
       DO J = 1,3
          DO I = 1,2
             CMATRIX(I,J) = 0.D0
          ENDDO
       ENDDO
C
       CALL GAUSSJ(TRANSFORM_MATRIX,3,3,CMATRIX,3,3)
C       
       RETURN
       END
